<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
             /* 
			 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
			 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
			 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
			 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
		     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
			 $pdf->Image($caminhoFinal,90,6,48,23,'JPG');
			 $pdf->SetFont('Arial','',12);
         	 $pdf->setXY($posicaox1,$yCabecalho1);
			 $pdf->Cell(60,5,utf8_decode('LIVRO DE PROTOCOLO'),0,0,'L');//natureza
		     $pdf->SetFont('Arial','',8);
			 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
			 $pdf->Cell(60,5,$material,0,1,'C',1);//natureza
             $yCabecalho1+=5;
	         $pdf->setXY($posicaox1,$yCabecalho1);
			 $pdf->Cell($larg1,5,'Amostra',1,0,'L');//natureza
			 $pdf->Cell($larg2,5,'Pedido',1,0,'L');//natureza
			 $pdf->Cell($larg3,5,'Pacote',1,0,'L');//natureza
			 $pdf->Cell($larg4,5,'Cliente',1,0,'L');//natureza
			 $pdf->Cell($larg5,5,'Entrada',1,0,'L');//natureza
             */
 			 $userTTAP = new amostrasTTAPacote();
             $userTTAP->extras_select =  " WHERE tta.id=tta and am_id_pacote=pacote.id  and  am_material='".$material."'  && numero>=".$inicio."  && numero<=".$final."  and am_id_labo=".$idLabo; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
				 	 $yCabecalho1=30;
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;
					 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
					 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
					 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
					 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
				     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,90,6,48,23,'JPG');
					 $pdf->SetFont('Arial','',12);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell(60,5,utf8_decode('LIVRO DE PROTOCOLO'),0,0,'L');//natureza
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
					 $pdf->Cell(60,5,$material,0,1,'C',1);//natureza
		             $yCabecalho1+=5;
			         $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell($larg1,5,'Amostra',1,0,'L');//natureza
					 $pdf->Cell($larg2,5,'Pedido',1,0,'L');//natureza
					 $pdf->Cell($larg3,5,'Pacote',1,0,'L');//natureza
					 $pdf->Cell($larg4,5,'Cliente',1,0,'L');//natureza
					 $pdf->Cell($larg5,5,'Entrada',1,0,'L');//natureza
				 endif;
                 $idCliente=$resTTAP->id_cliente;
                 $vetorClienteProdutor=$objetocalculo->clienteprodutor($idCliente,0); 
                 $yCabecalho1+=4;
	         	 $pdf->setXY($posicaox1,$yCabecalho1);
				 $pdf->Cell($larg1,6,utf8_decode($resTTAP->numero).':',0,0,'L');//amostra
				 $pdf->Cell($larg2,6,utf8_decode($resTTAP->tta_numero),0,0,'L');//pedido
				 $pdf->Cell($larg3,6,utf8_decode($resTTAP->nome),0,0,'L');//nome pacote
				 $pdf->Cell($larg4,6, $vetorClienteProdutor[3],0,0,'L');//cliente
				 $pdf->Cell($larg5,6,date("d/m/Y",strtotime($resTTAP->datacad)),0,0,'L');//pedido
				 if($yCabecalho1>$maximoHAdobe-25)$disparaCabecalho=1;//se ele chegou no rodape ele cria novo cabecalho
             endwhile; //este while encerra a colecao de amostras   
			 
		$pdf->Output();
?>
